import { jsx } from "react/jsx-runtime";
import { SmileyXEyesIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SmileyXEyes = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SmileyXEyes", ...props, children: /* @__PURE__ */ jsx(SmileyXEyesIcon, { weight: variant }) });
  }
);
SmileyXEyes.displayName = "SmileyXEyes";
Object.assign(SmileyXEyes, { isGdsIcon: true });
export {
  SmileyXEyes
};
